/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme
 Author:       XTemos
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
*/
/* Loader */
#glamray-preloader{
    position:fixed;
    left:0;
    top:0;
    width:100%;
    height:100%;
    background:#000;
    z-index:999999;
    display:flex;
    align-items:center;
    justify-content:center;
    transition:.6s;
}
.button.custom-whatsapp-btn .wd-action-icon::before {content: none;}
#glamray-preloader.hide{
    opacity:0;
    visibility:hidden;
}

.loader-content{
    text-align:center;
}

.logo-wrapper{
    width: 180px;
    height: 180px;
    position: relative;
    margin: auto;
    animation: logoFade .8s ease;
    padding: 0 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.logo-wrapper img{
    width:100%;
    position:relative;
    z-index:2;
    animation:logoScale 2s infinite alternate;
}

.gold-ring{
    position:absolute;
    left:-10px;
    top:-10px;
    right:-10px;
    bottom:-10px;
    border:2px solid #c8a04d;
    border-top-color:transparent;
    border-radius:50%;
    animation:rotateRing 2.5s linear infinite;
}

.loader-line{
    width:140px;
    height:2px;
    background:#ececec;
    margin:35px auto 0;
    overflow:hidden;
    border-radius:20px;
}

.loader-line span{
    display:block;
    height:100%;
    width:0%;
    background:#c8a04d;
    animation:loading 2s linear infinite;
}
.curated-media-wrapper-c29b8031 .curated-poster-c29b8031, .curated-media-wrapper-c29b8031 .curated-poster-placeholder-c29b8031 {height: 100%;}
@keyframes rotateRing{
    0%{transform:rotate(0deg);}
    100%{transform:rotate(360deg);}
}

@keyframes loading{
    0%{width:0%;}
    100%{width:100%;}
}

@keyframes logoFade{
    from{opacity:0;transform:scale(.9);}
    to{opacity:1;transform:scale(1);}
}

@keyframes logoScale{
    0%{transform:scale(1);}
    100%{transform:scale(1.03);}
}
/* Loader */
.tax-product_cat .wd-content-layout,.post-type-archive-product .wd-content-layout{
    padding-block-start: 0px;
}
body:not(.home) .whb-flex-row.whb-general-header-inner .wd-tools-element > a {
	color: #fff;
}
body:not(.home) .whb-flex-row.whb-general-header-inner .wd-tools-element > a:hover{
    color: #ecd874;
}
body:not(.home) .whb-general-header {padding-block: 10px;}
body:not(.home) .whb-header-bottom {padding-block: 5px;}
@media screen and (max-width: 768px) {
    body .header-logo > a img,body .header-logo > a svg {width: 120px;}
    .logo-wrapper{width:120px;height:120px;}
    .loader-line{width:90px;}
}
